Home
last modified time | relevance | path

Searched refs:Ulast (Results 1 – 25 of 61) sorted by relevance

123

/dports/cad/opencascade/opencascade-7.6.0/src/GCE2d/
H A DGCE2d_MakeSegment.cxx33 Standard_Real Ulast = ElCLib::Parameter(Line,P2); in GCE2d_MakeSegment() local
34 if (Ulast != 0.0) { in GCE2d_MakeSegment()
36 TheSegment = new Geom2d_TrimmedCurve(L,0.0,Ulast,Standard_True); in GCE2d_MakeSegment()
68 Standard_Real Ulast = ElCLib::Parameter(Line,P2); in GCE2d_MakeSegment() local
70 TheSegment = new Geom2d_TrimmedCurve(L,Ufirst,Ulast,Standard_True); in GCE2d_MakeSegment()
H A DGCE2d_MakeSegment.hxx65 …d_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const gp_Pnt2d& Point, const Standard_Real Ulast);
/dports/cad/opencascade/opencascade-7.6.0/inc/
H A DApprox_ComputeCLine.gxx263 const Standard_Real Ulast,
283 if ((Ulast - Ufirst) / (Line.LastParameter() - Line.FirstParameter()) < aMinRatio)
292 AppCont_LeastSquare LSquare(Line, Ufirst, Ulast, myfirstC, mylastC, deg, NbPoints);
305 mylastparam.Append(Ulast);
324 mylastparam.Append(Ulast);
338 mylastparam.Append(Ulast);
359 AppCont_LeastSquare LSquare(Line, Ufirst, Ulast, myfirstC, mylastC, deg, NbPoints);
368 mylastparam.Append(Ulast);
H A DExtrema_CurveLocator.gxx69 Standard_Real Ulast = Tool1::LastParameter(C);
72 U1 = Min(Uinf, Ulast);
73 U2 = Max(Uinf, Ulast);
H A DGC_MakeSegment.hxx59 …Standard_EXPORT GC_MakeSegment(const gp_Lin& Line, const gp_Pnt& Point, const Standard_Real Ulast);
H A DGCE2d_MakeSegment.hxx65 …d_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const gp_Pnt2d& Point, const Standard_Real Ulast);
H A DBRepBlend_BlendTool.hxx69 …atic void Bounds (const Handle(Adaptor2d_Curve2d)& C, Standard_Real& Ufirst, Standard_Real& Ulast);
H A DApprox_FitAndDivide.hxx112 …t AppCont_Function& Line, const Standard_Real Ufirst, const Standard_Real Ulast, Standard_Real& Th…
/dports/cad/opencascade/opencascade-7.6.0/src/Approx/
H A DApprox_ComputeCLine.gxx263 const Standard_Real Ulast,
283 if ((Ulast - Ufirst) / (Line.LastParameter() - Line.FirstParameter()) < aMinRatio)
292 AppCont_LeastSquare LSquare(Line, Ufirst, Ulast, myfirstC, mylastC, deg, NbPoints);
305 mylastparam.Append(Ulast);
324 mylastparam.Append(Ulast);
338 mylastparam.Append(Ulast);
359 AppCont_LeastSquare LSquare(Line, Ufirst, Ulast, myfirstC, mylastC, deg, NbPoints);
368 mylastparam.Append(Ulast);
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/opencascade/
H A DApprox_ComputeCLine.gxx245 const Standard_Real Ulast,
265 if ((Ulast - Ufirst) / (Line.LastParameter() - Line.FirstParameter()) < aMinRatio)
274 AppCont_LeastSquare LSquare(Line, Ufirst, Ulast, myfirstC, mylastC, deg, NbPoints);
287 mylastparam.Append(Ulast);
306 mylastparam.Append(Ulast);
320 mylastparam.Append(Ulast);
341 AppCont_LeastSquare LSquare(Line, Ufirst, Ulast, myfirstC, mylastC, deg, NbPoints);
350 mylastparam.Append(Ulast);
H A DExtrema_CurveLocator.gxx69 Standard_Real Ulast = Tool1::LastParameter(C);
72 U1 = Min(Uinf, Ulast);
73 U2 = Max(Uinf, Ulast);
H A DGC_MakeSegment.hxx60 …Standard_EXPORT GC_MakeSegment(const gp_Lin& Line, const gp_Pnt& Point, const Standard_Real Ulast);
H A DGCE2d_MakeSegment.hxx66 …d_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const gp_Pnt2d& Point, const Standard_Real Ulast);
H A DBRepBlend_BlendTool.hxx77 …tic void Bounds (const Handle(Adaptor2d_HCurve2d)& C, Standard_Real& Ufirst, Standard_Real& Ulast);
/dports/cad/opencascade/opencascade-7.6.0/src/GC/
H A DGC_MakeSegment.cxx51 Standard_Real Ulast = ElCLib::Parameter(Line,P2); in GC_MakeSegment() local
53 TheSegment = new Geom_TrimmedCurve(L,Ufirst,Ulast,Standard_True); in GC_MakeSegment()
H A DGC_MakeSegment.hxx59 …Standard_EXPORT GC_MakeSegment(const gp_Lin& Line, const gp_Pnt& Point, const Standard_Real Ulast);
/dports/cad/opencascade/opencascade-7.6.0/src/Extrema/
H A DExtrema_CurveLocator.gxx69 Standard_Real Ulast = Tool1::LastParameter(C);
72 U1 = Min(Uinf, Ulast);
73 U2 = Max(Uinf, Ulast);
/dports/cad/opencascade/opencascade-7.6.0/src/BRepBlend/
H A DBRepBlend_BlendTool.cxx132 Standard_Real& Ulast) in Bounds() argument
135 Ulast = BRepBlend_HCurve2dTool::LastParameter(A); in Bounds()
H A DBRepBlend_BlendTool.hxx69 …atic void Bounds (const Handle(Adaptor2d_Curve2d)& C, Standard_Real& Ufirst, Standard_Real& Ulast);
/dports/cad/opencascade/opencascade-7.6.0/tests/lowalgos/intss/
H A Dbug24585_150 puts "Error: Bad value. U_end = [dval U_end], Ulast = [dval U1l_exp]."
52 puts "OK: Good value. U_end matches with Ulast of surface."
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFill/
H A DBRepFill_TrimEdgeTool.cxx221 Standard_Real Ulast = Seg.LastPoint().ParamOnSecond(); in EvalParameters() local
223 Abs(Ulast - CBis.LastParameter()) <= Tol ) { in EvalParameters()
226 P = gp_Pnt(Ulast,Seg.LastPoint().ParamOnFirst(),0.); in EvalParameters()
285 Standard_Real Ulast = Seg.LastPoint().ParamOnSecond(); in EvalParametersBis() local
287 Abs(Ulast - CBis.LastParameter()) <= Tol ) { in EvalParametersBis()
290 P = gp_Pnt(Ulast,Seg.LastPoint().ParamOnFirst(),0.); in EvalParametersBis()
H A DBRepFill_NSections.cxx591 Standard_Real Ulast = ii; in Init() local
593 Ufirst,Ulast, in Init()
728 Standard_Real Ufirst, Ulast, Vfirst, Vlast; in Handle() local
729 mySurface->Bounds(Ufirst, Ulast, Vfirst, Vlast); in Handle()
736 Ufirst, Ulast, in Handle()
/dports/cad/opencascade/opencascade-7.6.0/src/Contap/
H A DContap_HContTool.cxx254 Standard_Real& Ulast) in Bounds() argument
257 Ulast = A->LastParameter(); in Bounds()
/dports/cad/opencascade/opencascade-7.6.0/src/IntPatch/
H A DIntPatch_HInterTool.cxx227 Standard_Real& Ulast) in Bounds() argument
230 Ulast = A->LastParameter(); in Bounds()
/dports/cad/opencascade/opencascade-7.6.0/src/TopOpeBRepTool/
H A DTopOpeBRepTool_ShapeTool.cxx314 Standard_Real Ufirst,Ulast,Vfirst,Vlast; in PeriodizeParameter() local
315 Surf->Bounds(Ufirst,Ulast,Vfirst,Vlast); in PeriodizeParameter()
332 periopar = ADJUST(par,Ufirst,Ulast,tol); in PeriodizeParameter()
341 if (isoU) std::cout<<"isoU f,l "<<Ufirst<<" "<<Ulast<<std::endl; in PeriodizeParameter()

123